Package fr.gouv.vitam.logbook.administration.core

# Class LogbookLFCAdministration

java.lang.Object
fr.gouv.vitam.logbook.administration.core.LogbookLFCAdministration

public class LogbookLFCAdministration extends Object
Business class for Logbook LFC Administration (traceability)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookLFCAdministration(LogbookOperations logbookOperations, LogbookLifeCycles logbookLifeCycles, ProcessingManagementClientFactory processingManagementClientFactory, WorkspaceClientFactory workspaceClientFactory, Integer lifecycleTraceabilityTemporizationDelay, Integer lifecycleTraceabilityMaxRenewalDelay, ChronoUnit lifecycleTraceabilityMaxRenewalDelayUnit, Integer lifecycleTraceabilityMaxEntries)`
  LogbookLFCAdministration constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LifecycleTraceabilityStatus`
  `checkLifecycleTraceabilityStatus(String operationId)`
  Check lifecycle traceability status
  `boolean`
  `generateSecureLogbookLFC(GUID traceabilityOperationGUID, LfcTraceabilityType lfcTraceabilityType)`
  Secure the logbook Lifecycles since last securisation by launching a workflow.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogbookLFCAdministration

    public LogbookLFCAdministration(LogbookOperations logbookOperations, LogbookLifeCycles logbookLifeCycles, ProcessingManagementClientFactory processingManagementClientFactory, WorkspaceClientFactory workspaceClientFactory, Integer lifecycleTraceabilityTemporizationDelay, Integer lifecycleTraceabilityMaxRenewalDelay, ChronoUnit lifecycleTraceabilityMaxRenewalDelayUnit, Integer lifecycleTraceabilityMaxEntries)
    LogbookLFCAdministration constructor
    Parameters:
      `logbookOperations` - the logbook operations
      `processingManagementClientFactory` - the processManagementClient factory
      `workspaceClientFactory` - the Workspace Client Factory
      `lifecycleTraceabilityTemporizationDelay` -
      `lifecycleTraceabilityMaxEntries` -

- ## Method Details

  - ### generateSecureLogbookLFC

    public boolean generateSecureLogbookLFC(GUID traceabilityOperationGUID, LfcTraceabilityType lfcTraceabilityType) throws VitamException
    Secure the logbook Lifecycles since last securisation by launching a workflow.
    Throws:
      `VitamException`

  - ### checkLifecycleTraceabilityStatus

    public LifecycleTraceabilityStatus checkLifecycleTraceabilityStatus(String operationId) throws VitamException, InvalidCreateOperationException
    Check lifecycle traceability status
    Parameters:
      `operationId` - the process id
    Returns:
      the lifecycle traceability status
    Throws:
      `VitamException`
      `InvalidCreateOperationException`